Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor
Class ModelDrivenInterceptor.RefreshModelBeforeResult

    java.lang.Object
      com.opensymphony.xwork2.interceptor.ModelDrivenInterceptor.RefreshModelBeforeResult

All Implemented Interfaces:
  PreResultListener

Enclosing class:
  ModelDrivenInterceptor

    protected static class ModelDrivenInterceptor.RefreshModelBeforeResult

extends Object
implements PreResultListener

Refreshes the model instance on the value stack, if it has changed

Field Summary
`protected ModelDriven` | `action`

Constructor Summary
`ModelDrivenInterceptor.RefreshModelBeforeResult(ModelDriven action, Object model)`

Method Summary
`void` | `beforeResult(ActionInvocation invocation, String resultCode)` This callback method will be called after the `Action` execution and before the `Result` execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected ModelDriven action

Constructor Detail

### ModelDrivenInterceptor.RefreshModelBeforeResult

    public ModelDrivenInterceptor.RefreshModelBeforeResult(ModelDriven action,
                                                           Object model)

Method Detail

### beforeResult

    public void beforeResult(ActionInvocation invocation,
                             String resultCode)

  Description copied from interface: `PreResultListener`
  This callback method will be called after the `Action` execution and before the `Result` execution.

  Specified by:
    `beforeResult` in interface `PreResultListener`
  Parameters:
    `invocation` - the action invocation
    `resultCode` - the result code returned by the action (eg. `success`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.